## org.apache.fop.dom.svg
Class SVGPathElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGPathElementImpl

public class SVGPathElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGPathElement

TODO: implement properly

Field Summary
`java.util.Vector` `pathElements`

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGPathElementImpl(java.util.Vector v)` construct a line graphic

Method Summary
`org.w3c.dom.svg.SVGPathSegArcAbs` `createSVGPathSegArcAbs(float x, float y, float r1, float r2, float angle, boolean largeArcFlag, boolean sweepFlag)`
`org.w3c.dom.svg.SVGPathSegArcRel` `createSVGPathSegArcRel(float x, float y, float r1, float r2, float angle, boolean largeArcFlag, boolean sweepFlag)`
`org.w3c.dom.svg.SVGPathSegClosePath` `createSVGPathSegClosePath()`
`org.w3c.dom.svg.SVGPathSegCurvetoCubicAbs` `createSVGPathSegCurvetoCubicAbs(float x, float y, float x1, float y1, float x2, float y2)`
`org.w3c.dom.svg.SVGPathSegCurvetoCubicRel` `createSVGPathSegCurvetoCubicRel(float x, float y, float x1, float y1, float x2, float y2)`
`org.w3c.dom.svg.SVGPathSegCurvetoCubicSmoothAbs` `createSVGPathSegCurvetoCubicSmoothAbs(float x, float y, float x2, float y2)`
`org.w3c.dom.svg.SVGPathSegCurvetoCubicSmoothRel` `createSVGPathSegCurvetoCubicSmoothRel(float x, float y, float x2, float y2)`
`org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs` `createSVGPathSegCurvetoQuadraticAbs(float x, float y, float x1, float y1)`
`org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel` `createSVGPathSegCurvetoQuadraticRel(float x, float y, float x1, float y1)`
`org.w3c.dom.svg.SVGPathSegCurvetoQuadraticSmoothAbs` `createSVGPathSegCurvetoQuadraticSmoothAbs(float x, float y)`
`org.w3c.dom.svg.SVGPathSegCurvetoQuadraticSmoothRel` `createSVGPathSegCurvetoQuadraticSmoothRel(float x, float y)`
`org.w3c.dom.svg.SVGPathSegLinetoAbs` `createSVGPathSegLinetoAbs(float x, float y)`
`org.w3c.dom.svg.SVGPathSegLinetoHorizontalAbs` `createSVGPathSegLinetoHorizontalAbs(float x)`
`org.w3c.dom.svg.SVGPathSegLinetoHorizontalRel` `createSVGPathSegLinetoHorizontalRel(float x)`
`org.w3c.dom.svg.SVGPathSegLinetoRel` `createSVGPathSegLinetoRel(float x, float y)`
`org.w3c.dom.svg.SVGPathSegLinetoVerticalAbs` `createSVGPathSegLinetoVerticalAbs(float y)`
`org.w3c.dom.svg.SVGPathSegLinetoVerticalRel` `createSVGPathSegLinetoVerticalRel(float y)`
`org.w3c.dom.svg.SVGPathSegMovetoAbs` `createSVGPathSegMovetoAbs(float x, float y)`
`org.w3c.dom.svg.SVGPathSegMovetoRel` `createSVGPathSegMovetoRel(float x, float y)`
`org.w3c.dom.svg.SVGPathSegList` `getAnimatedNormalizedPathSegList()`
`org.w3c.dom.svg.SVGPathSegList` `getAnimatedPathSegList()`
`org.w3c.dom.svg.SVGRect` `getBBox()`
`org.w3c.dom.svg.SVGPathSegList` `getNormalizedPathSegList()`
`org.w3c.dom.svg.SVGAnimatedNumber` `getPathLength()`
`int` `getPathSegAtLength(float distance)`
`org.w3c.dom.svg.SVGPathSegList` `getPathSegList()`
`short` `getPathSegType()`
`java.lang.String` `getPathSegTypeAsLetter()`
`org.w3c.dom.svg.SVGPoint` `getPointAtLength(float distance)`
`float` `getTotalLength()`
`void` `setPathLength(org.w3c.dom.svg.SVGAnimatedNumber length)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pathElements

    public java.util.Vector pathElements

Constructor Detail

### SVGPathElementImpl

    public SVGPathElementImpl(java.util.Vector v)

  construct a line graphic

Method Detail

### getPathLength

    public org.w3c.dom.svg.SVGAnimatedNumber getPathLength()

  Specified by:
    getPathLength in interface org.w3c.dom.svg.SVGPathElement

### getBBox

    public org.w3c.dom.svg.SVGRect getBBox()

  Overrides:
    getBBox in class GraphicElement

### setPathLength

    public void setPathLength(org.w3c.dom.svg.SVGAnimatedNumber length)

### getPathSegList

    public org.w3c.dom.svg.SVGPathSegList getPathSegList()

### getNormalizedPathSegList

    public org.w3c.dom.svg.SVGPathSegList getNormalizedPathSegList()

### getTotalLength

    public float getTotalLength()

  Specified by:
    getTotalLength in interface org.w3c.dom.svg.SVGPathElement

### getPointAtLength

    public org.w3c.dom.svg.SVGPoint getPointAtLength(float distance)
                                              throws org.w3c.dom.svg.SVGException

  Specified by:
    getPointAtLength in interface org.w3c.dom.svg.SVGPathElement

### getPathSegAtLength

    public int getPathSegAtLength(float distance)
                           throws org.w3c.dom.svg.SVGException

  Specified by:
    getPathSegAtLength in interface org.w3c.dom.svg.SVGPathElement

### getPathSegType

    public short getPathSegType()

### getPathSegTypeAsLetter

    public java.lang.String getPathSegTypeAsLetter()

### createSVGPathSegClosePath

    public org.w3c.dom.svg.SVGPathSegClosePath createSVGPathSegClosePath()

  Specified by:
    createSVGPathSegClosePath in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegMovetoAbs

    public org.w3c.dom.svg.SVGPathSegMovetoAbs createSVGPathSegMovetoAbs(float x,
                                                                         float y)

  Specified by:
    createSVGPathSegMovetoAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegMovetoRel

    public org.w3c.dom.svg.SVGPathSegMovetoRel createSVGPathSegMovetoRel(float x,
                                                                         float y)

  Specified by:
    createSVGPathSegMovetoRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegLinetoAbs

    public org.w3c.dom.svg.SVGPathSegLinetoAbs createSVGPathSegLinetoAbs(float x,
                                                                         float y)

  Specified by:
    createSVGPathSegLinetoAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegLinetoRel

    public org.w3c.dom.svg.SVGPathSegLinetoRel createSVGPathSegLinetoRel(float x,
                                                                         float y)

  Specified by:
    createSVGPathSegLinetoRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoCubicAbs

    public org.w3c.dom.svg.SVGPathSegCurvetoCubicAbs createSVGPathSegCurvetoCubicAbs(float x,
                                                                                     float y,
                                                                                     float x1,
                                                                                     float y1,
                                                                                     float x2,
                                                                                     float y2)

  Specified by:
    createSVGPathSegCurvetoCubicAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoCubicRel

    public org.w3c.dom.svg.SVGPathSegCurvetoCubicRel createSVGPathSegCurvetoCubicRel(float x,
                                                                                     float y,
                                                                                     float x1,
                                                                                     float y1,
                                                                                     float x2,
                                                                                     float y2)

  Specified by:
    createSVGPathSegCurvetoCubicRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoQuadraticAbs

    public org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs createSVGPathSegCurvetoQuadraticAbs(float x,
                                                                                             float y,
                                                                                             float x1,
                                                                                             float y1)

  Specified by:
    createSVGPathSegCurvetoQuadraticAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoQuadraticRel

    public org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel createSVGPathSegCurvetoQuadraticRel(float x,
                                                                                             float y,
                                                                                             float x1,
                                                                                             float y1)

  Specified by:
    createSVGPathSegCurvetoQuadraticRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegArcAbs

    public org.w3c.dom.svg.SVGPathSegArcAbs createSVGPathSegArcAbs(float x,
                                                                   float y,
                                                                   float r1,
                                                                   float r2,
                                                                   float angle,
                                                                   boolean largeArcFlag,
                                                                   boolean sweepFlag)

  Specified by:
    createSVGPathSegArcAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegArcRel

    public org.w3c.dom.svg.SVGPathSegArcRel createSVGPathSegArcRel(float x,
                                                                   float y,
                                                                   float r1,
                                                                   float r2,
                                                                   float angle,
                                                                   boolean largeArcFlag,
                                                                   boolean sweepFlag)

  Specified by:
    createSVGPathSegArcRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegLinetoHorizontalAbs

    public org.w3c.dom.svg.SVGPathSegLinetoHorizontalAbs createSVGPathSegLinetoHorizontalAbs(float x)

  Specified by:
    createSVGPathSegLinetoHorizontalAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegLinetoHorizontalRel

    public org.w3c.dom.svg.SVGPathSegLinetoHorizontalRel createSVGPathSegLinetoHorizontalRel(float x)

  Specified by:
    createSVGPathSegLinetoHorizontalRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegLinetoVerticalAbs

    public org.w3c.dom.svg.SVGPathSegLinetoVerticalAbs createSVGPathSegLinetoVerticalAbs(float y)

  Specified by:
    createSVGPathSegLinetoVerticalAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegLinetoVerticalRel

    public org.w3c.dom.svg.SVGPathSegLinetoVerticalRel createSVGPathSegLinetoVerticalRel(float y)

  Specified by:
    createSVGPathSegLinetoVerticalRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoCubicSmoothAbs

    public org.w3c.dom.svg.SVGPathSegCurvetoCubicSmoothAbs createSVGPathSegCurvetoCubicSmoothAbs(float x,
                                                                                                 float y,
                                                                                                 float x2,
                                                                                                 float y2)

  Specified by:
    createSVGPathSegCurvetoCubicSmoothAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoCubicSmoothRel

    public org.w3c.dom.svg.SVGPathSegCurvetoCubicSmoothRel createSVGPathSegCurvetoCubicSmoothRel(float x,
                                                                                                 float y,
                                                                                                 float x2,
                                                                                                 float y2)

  Specified by:
    createSVGPathSegCurvetoCubicSmoothRel in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoQuadraticSmoothAbs

    public org.w3c.dom.svg.SVGPathSegCurvetoQuadraticSmoothAbs createSVGPathSegCurvetoQuadraticSmoothAbs(float x,
                                                                                                         float y)

  Specified by:
    createSVGPathSegCurvetoQuadraticSmoothAbs in interface org.w3c.dom.svg.SVGPathElement

### createSVGPathSegCurvetoQuadraticSmoothRel

    public org.w3c.dom.svg.SVGPathSegCurvetoQuadraticSmoothRel createSVGPathSegCurvetoQuadraticSmoothRel(float x,
                                                                                                         float y)

  Specified by:
    createSVGPathSegCurvetoQuadraticSmoothRel in interface org.w3c.dom.svg.SVGPathElement

### getAnimatedPathSegList

    public org.w3c.dom.svg.SVGPathSegList getAnimatedPathSegList()

### getAnimatedNormalizedPathSegList

    public org.w3c.dom.svg.SVGPathSegList getAnimatedNormalizedPathSegList()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.